[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.DoOwnerDataStateChange

Signals the OnDataStateChange event handler (when assigned).

## Declaration

Source position: comctrls.pp line 1561

`protected function TCustomListView.DoOwnerDataStateChange(`
`AStartIndex: Integer;`
`AEndIndex: Integer;`
`AOldState: TListItemStates;`
`ANewState: TListItemStates`
`):Boolean; virtual;`

## Function result

Returns True if the OnDataStateChange event handler has been assigned for the control.

## Description

Remark: | Not used in the current LCL implementation.